---
title: HTMLVideoElement.msFrameStep()
slug: Web/API/HTMLVideoElement/msFrameStep
tags:
  - API
  - 'API:Microsoft Extensions'
  - Method
  - Non-standard
  - Reference
  - msFrameStep
---
<div>{{APIRef("HTML DOM")}}{{Non-standard_Header}}</div>

<p>The <strong><code>HTMLVideoElement.msFrameStep()</code></strong> method steps the video by one frame forward or one frame backward.</p>

<p>This proprietary method is specific to Internet Explorer and Microsoft Edge.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLVideoElement</em>.msFrameStep(<em>forward</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>forward</dt>
 <dd>A <a href="/en-US/docs/Glossary/Boolean">Boolean </a>which if set to <em>true</em> steps the video forward by one frame, if <em>false</em> steps the video backwards by one frame.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>This method does not return a value.</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>{{DOMxRef("HTMLMediaElement")}}</li>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
</ul>
